net.sf.cglib.core

## Class ClassNameReader

- java.lang.Object
- - net.sf.cglib.core.ClassNameReader

-     public class ClassNameReader
      extends java.lang.Object

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String[]` | `getClassInfo(ClassReader r)`
    `static java.lang.String` | `getClassName(ClassReader r)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getClassName

          public static java.lang.String getClassName(ClassReader r)

    - #### getClassInfo

          public static java.lang.String[] getClassInfo(ClassReader r)

Copyright (c) 2001 - Apache Software Foundation